Up

# NSRulerView class documentation

### Authors

Generated by root

### Contents -

1. Software documentation for the NSRulerView class
2. Software documentation for the NSObject(NSRulerViewClientView) informal protocol

# Software documentation for the NSRulerView class

## NSRulerView : NSView

> Declared in:
>   AppKit/NSRulerView.h

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- +registerUnitWithName:abbreviation:unitToPointsConversionFactor:stepUpCycle:stepDownCycle:
- -accessoryView
- -addMarker:
- -baselineLocation
- -clientView
- -drawHashMarksAndLabelsInRect:
- -drawMarkersInRect:
- -initWithScrollView:orientation:
- -invalidateHashMarks
- -isFlipped
- -markers
- -measurementUnits
- -moveRulerlineFromLocation:toLocation:
- -orientation
- -originOffset
- -removeMarker:
- -requiredThickness
- -reservedThicknessForAccessoryView
- -reservedThicknessForMarkers
- -ruleThickness
- -scrollView
- -setAccessoryView:
- -setClientView:
- -setMarkers:
- -setMeasurementUnits:
- -setOrientation:
- -setOriginOffset:
- -setReservedThicknessForAccessoryView:
- -setReservedThicknessForMarkers:
- -setRuleThickness:
- -setScrollView:
- -trackMarker:withMouseEvent:

### registerUnitWithName: abbreviation: unitToPointsConversionFactor: stepUpCycle: stepDownCycle:

+ (void) registerUnitWithName: (NSString*)uName abbreviation: (NSString*)abbreviation unitToPointsConversionFactor: (float)conversionFactor stepUpCycle: (NSArray*)stepUpCycle stepDownCycle: (NSArray*)stepDownCycle;
Availability: OpenStep
Description forthcoming.

### accessoryView

- (NSView*) accessoryView;
Availability: OpenStep
Description forthcoming.

### addMarker:

- (void) addMarker: (NSRulerMarker*)aMarker;
Availability: OpenStep
Description forthcoming.

### baselineLocation

- (float) baselineLocation;
Availability: OpenStep
Description forthcoming.

### clientView

- (NSView*) clientView;
Availability: OpenStep
Description forthcoming.

### drawHashMarksAndLabelsInRect:

- (void) drawHashMarksAndLabelsInRect: (NSRect)aRect;
Availability: OpenStep
Description forthcoming.

### drawMarkersInRect:

- (void) drawMarkersInRect: (NSRect)aRect;
Availability: OpenStep
Description forthcoming.

### initWithScrollView: orientation:

- (id) initWithScrollView: (NSScrollView*)aScrollView orientation: (NSRulerOrientation)o;
Availability: OpenStep
Description forthcoming.

### invalidateHashMarks

- (void) invalidateHashMarks;
Availability: OpenStep
Description forthcoming.

### isFlipped

- (BOOL) isFlipped;
Availability: OpenStep
Description forthcoming.

### markers

- (NSArray*) markers;
Availability: OpenStep
Description forthcoming.

### measurementUnits

- (NSString*) measurementUnits;
Availability: OpenStep
Description forthcoming.

### moveRulerlineFromLocation: toLocation:

- (void) moveRulerlineFromLocation: (float)oldLoc toLocation: (float)newLoc;
Availability: OpenStep
Description forthcoming.

### orientation

- (NSRulerOrientation) orientation;
Availability: OpenStep
Description forthcoming.

### originOffset

- (float) originOffset;
Availability: OpenStep
Description forthcoming.

### removeMarker:

- (void) removeMarker: (NSRulerMarker*)aMarker;
Availability: OpenStep
Description forthcoming.

### requiredThickness

- (float) requiredThickness;
Availability: OpenStep
Description forthcoming.

### reservedThicknessForAccessoryView

- (float) reservedThicknessForAccessoryView;
Availability: OpenStep
Description forthcoming.

### reservedThicknessForMarkers

- (float) reservedThicknessForMarkers;
Availability: OpenStep
Description forthcoming.

### ruleThickness

- (float) ruleThickness;
Availability: OpenStep
Description forthcoming.

### scrollView

- (NSScrollView*) scrollView;
Availability: OpenStep
Description forthcoming.

### setAccessoryView:

- (void) setAccessoryView: (NSView*)aView;
Availability: OpenStep
Description forthcoming.

### setClientView:

- (void) setClientView: (NSView*)aView;
Availability: OpenStep
Description forthcoming.

### setMarkers:

- (void) setMarkers: (NSArray*)newMarkers;
Availability: OpenStep
Description forthcoming.

### setMeasurementUnits:

- (void) setMeasurementUnits: (NSString*)uName;
Availability: OpenStep
Description forthcoming.

### setOrientation:

- (void) setOrientation: (NSRulerOrientation)o;
Availability: OpenStep
Description forthcoming.

### setOriginOffset:

- (void) setOriginOffset: (float)offset;
Availability: OpenStep
Description forthcoming.

### setReservedThicknessForAccessoryView:

- (void) setReservedThicknessForAccessoryView: (float)thickness;
Availability: OpenStep
Description forthcoming.

### setReservedThicknessForMarkers:

- (void) setReservedThicknessForMarkers: (float)thickness;
Availability: OpenStep
Description forthcoming.

### setRuleThickness:

- (void) setRuleThickness: (float)thickness;
Availability: OpenStep
Description forthcoming.

### setScrollView:

- (void) setScrollView: (NSScrollView*)scrollView;
Availability: OpenStep
Description forthcoming.

### trackMarker: withMouseEvent:

- (BOOL) trackMarker: (NSRulerMarker*)aMarker withMouseEvent: (NSEvent*)theEvent;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSRulerView Class

### _UNUSED

@protected float _UNUSED;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _accessoryView

@protected NSView* _accessoryView;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _cacheIsValid

@protected BOOL _cacheIsValid;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _clientView

@protected NSView* _clientView;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _labelDistance

@protected float _labelDistance;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _labelFormat

@protected NSString* _labelFormat;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _markDistance

@protected float _markDistance;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _markers

@protected NSMutableArray* _markers;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _marksToBigMark

@protected int _marksToBigMark;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _marksToLabel

@protected int _marksToLabel;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _marksToMidMark

@protected int _marksToMidMark;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _orientation

@protected NSRulerOrientation _orientation;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _originOffset

@protected float _originOffset;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _reservedThicknessForAccessoryView

@protected float _reservedThicknessForAccessoryView;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _reservedThicknessForMarkers

@protected float _reservedThicknessForMarkers;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _ruleThickness

@protected float _ruleThickness;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _scrollView

@protected NSScrollView* _scrollView;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _unit

@protected GSRulerUnit* _unit;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _unitToRuler

@protected float _unitToRuler;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSObject(NSRulerViewClientView) informal protocol

## NSObject(NSRulerViewClientView)

> Declared in:
>   AppKit/NSRulerView.h

Availability: OpenStep
Description forthcoming.
Method summary

- -rulerView:didAddMarker:
- -rulerView:didMoveMarker:
- -rulerView:didRemoveMarker:
- -rulerView:handleMouseDown:
- -rulerView:shouldAddMarker:
- -rulerView:shouldMoveMarker:
- -rulerView:shouldRemoveMarker:
- -rulerView:willAddMarker:atLocation:
- -rulerView:willMoveMarker:toLocation:
- -rulerView:willSetClientView:

### rulerView: didAddMarker:

- (void) rulerView: (NSRulerView*)aRulerView didAddMarker: (NSRulerMarker*)aMarker;
Availability: OpenStep
Description forthcoming.

### rulerView: didMoveMarker:

- (void) rulerView: (NSRulerView*)aRulerView didMoveMarker: (NSRulerMarker*)aMarker;
Availability: OpenStep
Description forthcoming.

### rulerView: didRemoveMarker:

- (void) rulerView: (NSRulerView*)aRulerView didRemoveMarker: (NSRulerMarker*)aMarker;
Availability: OpenStep
Description forthcoming.

### rulerView: handleMouseDown:

- (void) rulerView: (NSRulerView*)aRulerView handleMouseDown: (NSEvent*)theEvent;
Availability: OpenStep
Description forthcoming.

### rulerView: shouldAddMarker:

- (BOOL) rulerView: (NSRulerView*)aRulerView shouldAddMarker: (NSRulerMarker*)aMarker;
Availability: OpenStep
Description forthcoming.

### rulerView: shouldMoveMarker:

- (BOOL) rulerView: (NSRulerView*)aRulerView shouldMoveMarker: (NSRulerMarker*)aMarker;
Availability: OpenStep
Description forthcoming.

### rulerView: shouldRemoveMarker:

- (BOOL) rulerView: (NSRulerView*)aRulerView shouldRemoveMarker: (NSRulerMarker*)aMarker;
Availability: OpenStep
Description forthcoming.

### rulerView: willAddMarker: atLocation:

- (float) rulerView: (NSRulerView*)aRulerView willAddMarker: (NSRulerMarker*)aMarker atLocation: (float)location;
Availability: OpenStep
Description forthcoming.

### rulerView: willMoveMarker: toLocation:

- (float) rulerView: (NSRulerView*)aRulerView willMoveMarker: (NSRulerMarker*)aMarker toLocation: (float)location;
Availability: OpenStep
Description forthcoming.

### rulerView: willSetClientView:

- (void) rulerView: (NSRulerView*)aRulerView willSetClientView: (NSView*)newClient;
Availability: OpenStep
Description forthcoming.

Up